- Home
- API Enriched
- Network Security
- config
- Find Filter Sets for 1 or More Context Keys.
Find Filter Sets for 1 or More Context Keys.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/filter_sets/find';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"context_keys":["example"],"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/filter_sets/find \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "context_keys": [ "example" ], "namespace": "example" }'Retrieve any saved filter sets that are applicable for the given context key(s)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required find filter sets in the given namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Find Filter Sets API returns FilterSets that match the given context key(s)
object
Context key(s) that idenfify one or more console pages/views where filters of the same field/values can be applied
Required: YES.
Find filter sets in the given namespace Required: YES.
Examplegenerated
{ "context_keys": [ "example" ], "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response for Find Filter Sets API.
object
List of filter sets with the given context key(s)
Filter Set object.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Uid is the unique in time and space value for this object. Object create will fail if provided by the client and the value exists in the system. Typically generated by the server on successful creation of an object and is not allowed to change once populated. Shadowed by SystemObjectMeta’s uid field.
object
object
Indexable context key that identifies a page or page type for which the FilterSet is applicable
Required: YES.
List of fields and their values selected by the user
Required: YES.
A field ID and its value selected by the user.
object
object
object
Contains end date
Required: YES.
Contains start date
Required: YES.
Exclusive with [absolute] relative time duration.
An identifier for the field that maps to some UI filter component
Required: YES.
object
Expression is a Kubernetes style label expression for selections, but differs in that it allows special characters in the keys and values Required: YES.
object
Required: YES.
object
CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.
A value identifying the class of the user or service which created this configuration object.
This can used by the creator of the object for later audit for e.g. By storing the version identifying information of the object so at future it can be determined if version present at remote end is current or stale.
A value identifying the exact user or service that created this configuration object.
DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.
Populated by the system when a graceful deletion is requested. Read-only.
A hash of the UIDs of direct references on this object. This can be used to determine if this object hash has had references become resolved/unresolved.
Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed.
object
Pending is a list of initializers that must execute in order before this object is initialized. When the last pending initializer is removed, and no failing result is set, the initializers struct will be set to nil and the object is considered as initialized and visible to all clients.
Initializer is information about an initializer that has not yet completed.
object
Name of the service that is responsible for initializing this object.
object
Suggested HTTP return code for this status, 0 if not set.
A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.
Status of the operation. One of: “Success” or “Failure”.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the operator or software. Values here can be interpreted by software(backend or frontend) to enable certain behavior e.g. Things marked as soft-deleted(restorable).
object
ModificationTimestamp is a timestamp representing the server time when this object was last modified.
The namespace this object belongs to. This is populated by the service based on the metadata.namespace field when an object is created.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Unique index for the object. Some objects need a unique integer index to be allocated for each object type. This field will be populated for all objects that need it and will be zero otherwise.
object
Kind of the view object.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
UID of the view object.
A revision number which always increases with each modification of the object in storage This doesn’t necessarily increase sequentially, but should always increase. This will be 0 when first created, and before any modifications.
This should be set to true If F5XC/SRE operator wants to suppress an object from being presented to business-logic of a daemon(e.g. Due to bad-form/issue-causing Object). This is meant only to be used in temporary situations for operational continuity till a fix is rolled out in business-logic.
Tenant to which this configuration object belongs to. The value for this is found from presented credentials.
Trace_info holds information(
Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.
Indicate origin of this object.
Indicate whether mars deems this object to be stale via graceful restart timer information.
Examplegenerated
{ "filter_sets": [ { "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "gc_spec": { "context_key": "example", "filter_fields": [ { "date_field": { "absolute": { "end_date": "2026-04-15T12:00:00Z", "start_date": "2026-04-15T12:00:00Z" }, "relative": "example" }, "field_id": "example", "filter_expression_field": { "expression": "example" }, "string_field": { "field_values": [ "example" ] } } ] } }, "system_metadata": { "creator_cookie": "example", "deletion_timestamp": "2026-04-15T12:00:00Z", "direct_ref_hash": "example", "finalizers": [ "example" ], "initializers": { "pending": [ { "name": "example" } ], "result": { "code": 1, "reason": "example", "status": "example" } }, "labels": {}, "namespace": [ { "name": "example", "namespace": "example" } ], "owner_view": { "kind": "example", "name": "example", "namespace": "example", "uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }, "revision": "example", "sre_disable": true, "trace_info": "example", "vtrp_id": "example", "vtrp_stale": true } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example